<?php

foreach($fields as $id => $info):
	?>
	<p class="<?php if (!$info['is_valid']) echo 'error-message';?>"
		<?php
		if ($info['tip']):
			?>
			style="cursor: help"
			onclick="if (event.target.nodeName=='LABEL') return true; jQuery('#<?php echo $this->get_field_id($id); ?>_description').slideToggle();"
		<?php
		endif;
		?>
		>
		<label for="<?php echo $this->get_field_id($id); ?>">
			<?php _e($info['label']); if ($info['required']) echo ' *';?>
		</label>
	<?php
	if (isset($info['values'])):
		?>
		<select id="<?php echo $this->get_field_id($id); ?>"
			name="<?php echo $this->get_field_name($id); ?>"
		>
		<?php
		foreach($info['values'] as $value => $name):
			?><option value="<?php echo $value; ?>" <?php if ($value==$info['value']) echo 'selected="selected"'; ?>><?php _e($name); ?></option><?php
		endforeach;
		?>
		</select>
		<?php
	else:
		?>
	<input
		class="widefat" id="<?php echo $this->get_field_id($id); ?>"
		name="<?php echo $this->get_field_name($id); ?>"
		type="text" value="<?php echo esc_attr($info['value']); ?>"
		/>
		<?php
	endif;
	if ($info['tip']):
		?>
		<br>
		<span class="description hidden" id="<?php echo $this->get_field_id($id); ?>_description"><?php _e($info['tip'])?></span>
		<?php
	endif;
		?>
	</p>
	<?php
endforeach;