<style type="text/css">
    #<?php echo $this->id; ?>_form { padding: 5px; <?php if ($instance['color_bg']) echo 'background: ' . $instance['color_bg'] . ';' ?> <?php if ($instance['color_border']) echo 'border:solid 1px  ' . $instance['color_border'] . '; -moz-border-radius: 3px; border-radius: 3px; ' ?> <?php if ($instance['color_text']) echo 'color: ' . $instance['color_text'] . ';' ?> }
</style>
<form method="GET" id="<?php echo $this->id; ?>_form"
	class="<?php echo $this->id_base; ?>_widget_<?php echo esc_attr($instance['format']); ?>"
	target="_blank" action="<?php echo $instance['url']; ?>">
    <?php
    if ($instance['color_title'] && $instance['title']):
        ?><h2 style="padding:0; font-size: 1.25em;text-align:<?php echo $instance['format']=='v' ? 'center' : 'left'; ?>;margin:15px 0;width:100%;color:<?php echo esc_attr($instance['color_title']);?>"><?=$instance['title']?></h2><?php
    endif;
    ?>
    <input type="hidden" name="id" value="<?php echo $instance['promo_id']; ?>"/>
    <?php
    if ($instance['ref_id']):
        ?><input type="hidden" name="ref_id" value="<?php echo esc_attr($instance['ref_id']); ?>"/> <?php
        if ($instance['sub_id']):
            ?><input type="hidden" name="sub_id" value="<?php echo esc_attr($instance['sub_id']); ?>"/><?php
        endif;
    endif;
    ?>
    <div id="<?php echo $this->id; ?>_sex" class="<?php echo $this->id_base; ?>_label <?php echo $this->id_base; ?>_label_sex">
        <label for="<?php echo $this->id; ?>_sex"><?php _e('Я ищу:') ?></label>
        <br>
        <?php
        foreach ($values['gender'] as $id => $name):
            ?>
            <label>
                <input type="radio" name="gender" value="<?php echo $id;?>"
					<?php if ($instance['gender'] == $id) echo 'checked="checked"'; ?>
					<?php
					if ($instance['show_custom']):
						?>onclick="<?php echo $this->id_base; ?>.change_sex(this.value, '<?php echo $this->id; ?>')"<?php
					endif;
					?>/>
                <span><?php _e($name); ?></span>
            </label>
            <?php
        endforeach;
        ?>
    </div>
    <div class="<?php echo $this->id_base; ?>_label">
        <label for="<?php echo $this->id; ?>_city"><?php _e('Город:') ?></label>
        <select name="cityId" class="<?php echo $this->id_base; ?>_city" id="<?php echo $this->id; ?>_city">
            <?php
            foreach ($values['city'] as $id => $name):
                ?>
			<option value="<?php echo $id;?>" <?php if ($instance['gender'] == $id) echo 'selected="selected"'; ?>><?php _e($name); ?>
                <?php
            endforeach;
            ?>
        </select>
    </div>

    <div id="<?php echo $this->id; ?>_age" class="<?php echo $this->id_base; ?>_label">
        <label for="<?php echo $this->id; ?>_age"><?php _e('Возраст:') ?></label>
        <br>
        <select name="age" class="<?php echo $this->id_base; ?>_min_year">
            <option value="0"><?php _e('Не важно') ?></option>
            <?php
            for ($i = 16; $i < 61; ++$i):
                ?><option value="<?php echo $i; ?>" <? if ($i == $instance['age']) echo 'selected="selected"'; ?>><?php echo $i; ?><?php
            endfor;
            ?>
        </select>
        <span>-</span>
        <select name="ageTo" class="<?php echo $this->id_base; ?>_max_year">
            <option value="0"><?php _e('Не важно') ?></option>
            <?php
            for ($i = 16; $i < 61; ++$i):
                ?><option value="<?php echo $i; ?>" <? if ($i == $instance['age_to']) echo 'selected="selected"'; ?>><?php echo $i; ?><?php
            endfor;
            ?>
        </select>
    </div>
    <div class="<?php echo $this->id_base; ?>_label <?php echo $this->id_base; ?>_submit">
        <label for="<?php echo $this->id; ?>_search">
			<?php if($instance['format'] == 'g') echo '&nbsp <br>' ?>
		</label>
		<a class="<?php echo $this->id_base; ?>_button <?php if ($instance['color_button']) echo $this->id_base.'_button_'.esc_attr($instance['color_button']);?>"
			id="<?php echo $this->id; ?>_search"
			href="<?php echo $instance['url'].'?id='.$instance['promo_id'].'&ref_id='.esc_attr($instance['ref_id']).'&sub_id='.esc_attr($instance['sub_id']); ?>"
			onclick="document.getElementById('<?php echo $this->id; ?>_form').submit();return false;"><?php _e('Search'); ?></a>
    </div>
    <?php
	if($instance['format'] == 'g'):
		?><div style="clear:both;"></div><?php
	endif;
	if ($instance['show_custom']):
		?>
    <div class="<?php echo $this->id_base; ?>_label <?php echo $this->id_base; ?>_label_add_param">
        <div class="<?php echo $this->id_base; ?>_ta_c <?php echo $this->id_base; ?>_add_label"><?php _e('Дополнительные параметры:') ?></div>
        <div class="<?php echo $this->id_base; ?>_ta_c">
            <select name="marital" id="<?php echo $this->id; ?>_marital"></select>
            <select name="relAim[]">
                <option value="0">Цель знакомства</option>
                <option value="1">Виртуальное общение</option>
                <option value="5">Реальное общение</option>
                <option value="3">Флирт</option>
                <option value="2">Семья</option>
                <option value="4">Совместный досуг</option>
            </select>
            <select name="zodiac" id="zodiac_<?php echo $this->id; ?>">
                <option value="0">Знак зодиака</option>
                <option value="1">Козерог</option>
                <option value="2">Водолей</option>
                <option value="3">Рыбы</option>
                <option value="4">Овен</option>
                <option value="5">Телец</option>
                <option value="6">Близнецы</option>
                <option value="7">Рак</option>
                <option value="8">Лев</option>
                <option value="9">Дева</option>
                <option value="10">Весы</option>
                <option value="11">Скорпион</option>
                <option value="12">Стрелец</option>
            </select>
        </div>
    </div>
		<?php
	endif;
	?>
    <div style="clear:both;"></div>
</form>
<script type="text/javascript">
	<?php
	if (!$static_is_inited):
		?>
	if (typeof(<?php echo $this->id_base; ?>)!=='object')
		var <?php echo $this->id_base; ?> = {};
     <?php echo $this->id_base; ?>.f = ['Семейное положение', 'Свободна', 'Замужем', 'Занята', 'В поиске второй половинки', 'Ничего серьезного', 'Всегда готова'];
	<?php echo $this->id_base; ?>.m = ['Семейное положение', 'Свободен', 'Женат', 'Занят', 'В поиске второй половинки', 'Ничего серьезного', 'Всегда готов'];
	<?php echo $this->id_base; ?>.set_city_ids = [];
	<?php echo $this->id_base; ?>.set_city = function(id) {
		<?php echo $this->id_base; ?>.set_city_ids.push(id);
	};
	<?php echo $this->id_base; ?>.change_sex = function(value, id) {
			var el = document.getElementById(id+'_marital'),
				old_value = el.value;
			el.innerHTML = '';
			for(var i in <?php echo $this->id_base; ?>[value]) {
				var op = new Option(<?php echo $this->id_base; ?>[value][i], i, (i==old_value));
				op.selected = (i==old_value);
				el.options.add(op);
			}
		};
		<?php
	endif;
	if ($instance['show_custom']):
		echo $this->id_base; ?>.change_sex('<?php echo $instance['gender']; ?>', '<?php echo $this->id; ?>');
		<?php
	endif;
	if (!$instance['city']):
		?>
		<?php echo $this->id_base; ?>.set_city('<?php echo $this->id; ?>_city');
		<?php
	endif;
	?>
</script>